接口地址: POST https://gw.hbapis.com/minimax/v2/video_regeneration
Bearer Token
在 Header 添加参数 Authorization。
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
Authorization | string | 是 | Bearer <token> |
Content-Type | string | 否 | application/json |
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
model | enum | 必填 | 模型名称,必填。当前支持 MiniMax-H3 。 |
source_task_id | string | 必填 | 已有 /v2/video_generation 成功任务 的 task_id ,以其产物为源再生成。使用限制:需开通白名单;源任务须属于当前账号、状态为 succeeded ,且仍可通过 /v2/query/video_generation 查到(创建于 7 天内)。 |
resolution | enum | 必填 | 视频再生成的目标分辨率,必填。当前支持 2K 。 |
callback_url | string | 否 | 任务状态变更的回调 URL,可选。行为同创建视频生成任务的 callback_url 。 |
aigc_watermark | boolean | 否 | 是否为生成视频添加 AIGC 水印,可选,默认 false 。 |
{
"model": "MiniMax-H3",
"source_task_id": "424010985738629",
"resolution": "2K"
}
curl --request POST \
--url 'https://gw.hbapis.com/minimax/v2/video_regeneration' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "MiniMax-H3",
"source_task_id": "424010985738629",
"resolution": "2K"
}
'
curl --request POST \
--url 'https://gw.hbapis.com/minimax/v2/video_regeneration' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "MiniMax-H3",
"content": [
{
"type": "text",
"text": "史诗级太空歌剧院线预告:女舰长独自站在巨大观景窗前,最后一支舰队正在集结并跃迁离去,强光爆闪、舰桥震动,她被留在原地。"
},
{
"type": "video_url",
"video_url": {
"url": "https://your-cdn.example.com/h3-t2va-768p.mp4"
},
"role": "base_video"
}
],
"resolution": "2K"
}
'
curl --request POST \
--url 'https://gw.hbapis.com/minimax/v2/video_regeneration' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "MiniMax-H3",
"content": [
{
"type": "text",
"text": "Pull focus to the people in the background and add more steam to the ramen bowl."
},
{
"type": "image_url",
"image_url": {
"url": "https://cdn.hailuoai.com/prod/hailuo_demo/testsets/H3_AA_I2VA/gallery/sr_v17_variants_seed42_43_20260724/inputs/4a3a90bf9100_KDmcbkhzYo5sjjxr9FqcVmWVnzb.png"
},
"role": "first_frame"
},
{
"type": "video_url",
"video_url": {
"url": "https://your-cdn.example.com/h3-i2va-768p.mp4"
},
"role": "base_video"
}
],
"resolution": "2K"
}
'
curl --request POST \
--url 'https://gw.hbapis.com/minimax/v2/video_regeneration' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "MiniMax-H3",
"content": [
{
"type": "text",
"text": "角色说话:Follow the wind, live free. Leave worries behind, enjoy the moment,音色参考音频1"
},
{
"type": "video_url",
"video_url": {
"url": "https://cdn.hailuoai.com/prod/hailuo_demo/testsets/h3_promo_eval_ref2va/gallery/sr_v2p26_trio_seed42_20260724/inputs/297573323635_00_%E8%A7%86%E9%A2%911_YnyRbxEwio_video_20260525_163755_1927e9d3.mp4"
},
"role": "reference_video"
},
{
"type": "audio_url",
"audio_url": {
"url": "https://cdn.hailuoai.com/prod/hailuo_demo/testsets/h3_promo_eval_ref2va/gallery/sr_v2p26_trio_seed42_20260724/inputs/f463d523c5ce_01_%E9%9F%B3%E9%A2%911_RSLcbpzJPo_6%E6%9C%885%E6%97%A5(1).mp3"
},
"role": "reference_audio"
},
{
"type": "video_url",
"video_url": {
"url": "https://your-cdn.example.com/h3-r2va-768p.mp4"
},
"role": "base_video"
}
],
"resolution": "2K"
}
'
{
"task_id": "424010985738629"
}
来源: https://platform.minimaxi.com/docs/api-reference/video-generation-v2-regeneration